# win_toast – Sends Toast windows notification to logged in users on Windows 10 or later hosts

New in version 2.4.

- Synopsis

- Parameters

- Notes

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Sends alerts which appear in the Action Center area of the windows desktop.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
expire integer | Default: 45 | How long in seconds before the notification expires.
group string | Default: "Powershell" | Which notification group to add the notification to.
msg string | Default: "Hello, World!" | The message to appear inside the notification. May include \n to format the message to appear within the Action Center.

popup
boolean

Choices:
- no
- yes ←

If `no`, the notification will not pop up and will only appear in the Action Center.

tag string | Default: "Ansible" | The tag to add to the notification.
title string | Default: "Notification HH:mm" | The notification title, which appears in the pop up..

## Notes

Note

- This module must run on a windows 10 or Server 2016 host, so ensure your play targets windows hosts, or delegates to a windows host.

- The module does not fail if there are no logged in users to notify.

- Messages are only sent to the local host where the module is run.

- You must run this module with async, otherwise it will hang until the expire period has passed.

## See Also

See also

win_msg – Sends a message to logged in users on Windows hosts

  The official documentation on the win_msg module.

win_say – Text to speech module for Windows to speak messages and optionally play sounds

  The official documentation on the win_say module.

## Examples

    - name: Warn logged in users of impending upgrade (note use of async to stop the module from waiting until notification expires).
      win_toast:
        expire: 60
        title: System Upgrade Notification
        msg: Automated upgrade about to start.  Please save your work and log off before {{ deployment_start_time }}
      async: 60
      poll: 0

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
expire_at_utc string | always | Calculated utc date time when the notification expires. Sample: 07 July 2017 04:50:54
no_toast_sent_reason string | when no logged in users are detected | Text containing the reason why a notification was not sent. Sample: No logged in users to notify
sent_localtime string | always | local date time when the notification was sent. Sample: 07 July 2017 05:45:54
time_taken float | always | How long the module took to run on the remote windows host in seconds. Sample: 0.3706631999999997
toast_sent boolean | always | Whether the module was able to send a toast notification or not.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jon Hawkesworth (@jhawkesworth)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.